> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Payment Plan

> Create a payment plan



## OpenAPI

````yaml post /payment-plans
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /payment-plans:
    post:
      tags:
        - Payment Plans
      summary: Create a Payment Plan
      description: Create a payment plan
      operationId: CreateaPaymentPlan
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateaPaymentPlanRequest'
                - example:
                    amount: 5000
                    name: the akhlm postman plan 2
                    interval: monthly
                    duration: 48
            example:
              amount: 5000
              name: the akhlm postman plan 2
              interval: monthly
              duration: 48
        required: true
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '270'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"10e-PNJQYallQPVg1KfJvyV2vw"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 16 Jan 2020 18:08:19 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse32'
                  - example:
                      status: success
                      message: Payment plan created
                      data:
                        id: 3807
                        name: the akhlm postman plan 2
                        amount: 5000
                        interval: monthly
                        duration: 48
                        status: active
                        currency: NGN
                        plan_token: rpp_12d2ef3d5ac1c13b9d30
                        created_at: '2020-01-16T18:08:19.000Z'
              example:
                status: success
                message: Payment plan created
                data:
                  id: 3807
                  name: the akhlm postman plan 2
                  amount: 5000
                  interval: monthly
                  duration: 48
                  status: active
                  currency: NGN
                  plan_token: rpp_12d2ef3d5ac1c13b9d30
                  created_at: '2020-01-16T18:08:19.000Z'
      deprecated: false
components:
  schemas:
    CreateaPaymentPlanRequest:
      title: CreateaPaymentPlanRequest
      required:
        - amount
        - name
        - interval
        - duration
      type: object
      properties:
        amount:
          type: integer
          format: int32
        name:
          type: string
        interval:
          type: string
        duration:
          type: integer
          format: int32
      example:
        amount: 5000
        name: the akhlm postman plan 2
        interval: monthly
        duration: 48
    SampleSuccessResponse32:
      title: SampleSuccessResponse32
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data65'
      example:
        status: success
        message: Payment plan created
        data:
          id: 3807
          name: the akhlm postman plan 2
          amount: 5000
          interval: monthly
          duration: 48
          status: active
          currency: NGN
          plan_token: rpp_12d2ef3d5ac1c13b9d30
          created_at: '2020-01-16T18:08:19.000Z'
    Data65:
      title: Data65
      required:
        - id
        - name
        - amount
        - interval
        - duration
        - status
        - currency
        - plan_token
        - created_at
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
        amount:
          type: integer
          format: int32
        interval:
          type: string
        duration:
          type: integer
          format: int32
        status:
          type: string
        currency:
          type: string
        plan_token:
          type: string
        created_at:
          type: string
      example:
        id: 3807
        name: the akhlm postman plan 2
        amount: 5000
        interval: monthly
        duration: 48
        status: active
        currency: NGN
        plan_token: rpp_12d2ef3d5ac1c13b9d30
        created_at: '2020-01-16T18:08:19.000Z'
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````